#include <cstdio>
#include <cstdlib>
#include <algorithm>

using namespace std;

struct Ant
{
	int pos;
	char dir; //0=Left
};

int compareAnt(const void* a, const void* b)
{
	return ((Ant*) a)->pos - ((Ant*) b)->pos;
}

int main()
{
	int length, count;
	
	while (true) {
	
		if (scanf("%d %d\n", &length, &count) != 2) break;
	
		Ant* ants = new Ant[100000];
		int antLen = 0;
	
		for (int i = 0; i < count; i++) {
			scanf("%d %c\n", &ants[antLen].pos, &ants[antLen].dir);
		
			antLen++;
		}
	
		qsort(ants, antLen, sizeof(Ant), compareAnt);
        	
		int maxDistance2 = -1;
		int cnt = 1;
		for (int i = 0; i < antLen; i++) {
		
			int dist;
			if (ants[i].dir == 'L') {
				dist = ants[i].pos;
			} else {
				dist = length - ants[i].pos;
			}
			
			if ( dist == maxDistance2 ) cnt++;
			else if ( dist > maxDistance2 ){
			  maxDistance2 = dist;
			  cnt=1;
			}  
		}

        int first=0, last=antLen-1;
        
        while (first < last) {
          while ( ants[first].dir == 'L' && first < antLen ) first++;
          
          while ( ants[last].dir == 'R' && last > 0) last--;
        
          if ( first < last ) {
            for ( int i= first; i < last; i++)
              ants[i].dir = ants[i].dir == 'L' ? 'R':'L'; 
         }
        
        }


	
		printf("The last ant will fall down in %d seconds - started at \n", maxDistance2);
		if (cnt == 2) {
			printf("%d and %d.\n", ants[first].pos, ants[first].pos);
		} else {
			printf("%d.\n", ants[first].pos);
		}
	}
	

	return 0;
}
